// Correction application Chapitre 9
// Macroéconomie quantitative (2014, éd. Ellipses) 
// par Christophe Cahn

// Ce fichier permet de reproduire les élements contenu
// dans le fichier App_9_appariement.pdf disponible sur le site
// www.christophecahn.fr/macroquant

// Filename : App_9_appariement.mod
// Application : Matlab/Octave
// Date : 24-04-2014
// Christophe Cahn (c) 2014

var m, v, u, n, c, a, q, s, r, w, tet ;
varexo ea ;

predetermined_variables n ;


parameters mbar vtet phiu rho cbar nbar kap vbar bet qbar wbar eta tetbar chi rhoA sigA ;
mbar	= .5 ;
vtet	= .4 ;  
tetbar 	= (.7/mbar)^(1/vtet) ;
phiu	= (1-.09)/.09 ;
rho 	= .03 ;
qbar 	= mbar*tetbar^(vtet-1) ;
vbar 	= tetbar*.09 ;
nbar 	= 1 - .09 ;
kap 	= .42*qbar ;
bet 	= .992 ;
cbar 	= nbar - kap*vbar ;
chi		= 1/nbar ;
eta 	= .5 ;
wbar 	= eta*(1+kap*tetbar) + (1-eta)*(chi*cbar+.65) ;
rhoA 	= .95 ;
sigA 	= .007 ;

model;
  m = vtet*v + (1-vtet)*u ;
  u = -phiu*n ;
  n(+1) = (1-rho)*n + rho*m ;
  cbar/nbar*c + kap*vbar/nbar*v = a + n ;
  q = m - v ;
  s = m - u ;
  tet = v - u ;
  c = c(+1) -(1-bet)*r ;
  q = c(+1) - c - bet*qbar/kap*(a(+1) - wbar*w(+1)) + bet*(1-rho)*q(+1) ;
  wbar*w = eta*(a + kap*tetbar*tet) +  (1-eta)*chi*cbar*c ;
  a = rhoA*a(-1) + sigA*ea ;
end;

shocks;
  var ea; stderr .007 ;
end;

stoch_simul(order= 1,graph_format=pdf);